# HG changeset patch
# User Hugh McMaster <hugh.mcmaster@outlook.com>
# Date 1565272083 -36000
#      Thu Aug 08 23:48:03 2019 +1000
# Node ID 4b0e794dd777bf34c3ffe5be0f47ec9a929ed796
# Parent  93c8fcc2cab4b76df8ff1876cba662aab34a564e
Generate and install a pkg-config file for the gmpxx library

diff -r 93c8fcc2cab4 -r 4b0e794dd777 Makefile.am
--- a/Makefile.am	Thu Aug 08 23:46:02 2019 +1000
+++ b/Makefile.am	Thu Aug 08 23:48:03 2019 +1000
@@ -123,6 +123,7 @@
 
 if WANT_CXX
 GMPXX_HEADERS_OPTION = gmpxx.h
+pkgconfig_DATA += gmpxx.pc
 endif
 EXTRA_DIST += gmpxx.h
 
diff -r 93c8fcc2cab4 -r 4b0e794dd777 configure.ac
--- a/configure.ac	Thu Aug 08 23:46:02 2019 +1000
+++ b/configure.ac	Thu Aug 08 23:48:03 2019 +1000
@@ -3960,7 +3960,7 @@
   tests/cxx/Makefile							\
   doc/Makefile tune/Makefile						\
   demos/Makefile demos/calc/Makefile demos/expr/Makefile		\
-  gmp.h:gmp-h.in gmp.pc:gmp.pc.in)
+  gmp.h:gmp-h.in gmp.pc:gmp.pc.in gmpxx.pc:gmpxx.pc.in)
 
 AC_MSG_NOTICE([summary of build options:
 
diff -r 93c8fcc2cab4 -r 4b0e794dd777 gmpxx.pc.in
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/gmpxx.pc.in	Thu Aug 08 23:48:03 2019 +1000
@@ -0,0 +1,12 @@
+prefix=@prefix@
+exec_prefix=@exec_prefix@
+includedir=@includedir@
+libdir=@libdir@
+
+Name: @PACKAGE_NAME@ C++
+Description: GNU Multiple Precision Arithmetic Library (C++ bindings)
+URL: https://gmplib.org
+Version: @PACKAGE_VERSION@
+Requires: gmp
+Cflags: -I${includedir}
+Libs: -L${libdir} -lgmpxx
